## Fetch all presets `client.realtimeKit.presets.get(stringappId, PresetGetParamsparams, RequestOptionsoptions?): PresetGetResponse` **get** `/accounts/{account_id}/realtime/kit/{app_id}/presets` Fetches all the presets belonging to an App. ### Parameters - `appId: string` The app identifier tag. - `params: PresetGetParams` - `account_id: string` Path param: The account identifier tag. - `page_no?: number` Query param: The page number from which you want your page search results to be displayed. - `per_page?: number` Query param: Number of results per page ### Returns - `PresetGetResponse` - `data: Array` - `id?: string` ID of the preset - `created_at?: string` Timestamp this preset was created at - `name?: string` Name of the preset - `updated_at?: string` Timestamp this preset was last updated - `paging: Paging` - `end_offset: number` - `start_offset: number` - `total_count: number` - `success: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const preset = await client.realtimeKit.presets.get('app_id', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(preset.data); ``` #### Response ```json { "data": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "2019-12-27T18:11:19.117Z", "name": "name", "updated_at": "2019-12-27T18:11:19.117Z" } ], "paging": { "end_offset": 30, "start_offset": 1, "total_count": 30 }, "success": true } ```